## ibus-qt 1.3.1-1maemo2

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named gitclean

# Build rule for target.
gitclean: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 gitclean
.PHONY : gitclean

# fast build rule for target.
gitclean/fast:
	$(MAKE) -f CMakeFiles/gitclean.dir/build.make CMakeFiles/gitclean.dir/build
.PHONY : gitclean/fast

#=============================================================================
# Target rules for targets named rpm

# Build rule for target.
rpm: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 rpm
.PHONY : rpm

# fast build rule for target.
rpm/fast:
	$(MAKE) -f CMakeFiles/rpm.dir/build.make CMakeFiles/rpm.dir/build
.PHONY : rpm/fast

#=============================================================================
# Target rules for targets named srpm

# Build rule for target.
srpm: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 srpm
.PHONY : srpm

# fast build rule for target.
srpm/fast:
	$(MAKE) -f CMakeFiles/srpm.dir/build.make CMakeFiles/srpm.dir/build
.PHONY : srpm/fast

#=============================================================================
# Target rules for targets named version

# Build rule for target.
version: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 version
.PHONY : version

# fast build rule for target.
version/fast:
	$(MAKE) -f CMakeFiles/version.dir/build.make CMakeFiles/version.dir/build
.PHONY : version/fast

#=============================================================================
# Target rules for targets named ibus-qt

# Build rule for target.
ibus-qt: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ibus-qt
.PHONY : ibus-qt

# fast build rule for target.
ibus-qt/fast:
	$(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/build
.PHONY : ibus-qt/fast

#=============================================================================
# Target rules for targets named ibus-test

# Build rule for target.
ibus-test: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ibus-test
.PHONY : ibus-test

# fast build rule for target.
ibus-test/fast:
	$(MAKE) -f src/CMakeFiles/ibus-test.dir/build.make src/CMakeFiles/ibus-test.dir/build
.PHONY : ibus-test/fast

#=============================================================================
# Target rules for targets named qtim-ibus

# Build rule for target.
qtim-ibus: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qtim-ibus
.PHONY : qtim-ibus

# fast build rule for target.
qtim-ibus/fast:
	$(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/build
.PHONY : qtim-ibus/fast

#=============================================================================
# Target rules for targets named demo-engine

# Build rule for target.
demo-engine: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 demo-engine
.PHONY : demo-engine

# fast build rule for target.
demo-engine/fast:
	$(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/build
.PHONY : demo-engine/fast

#=============================================================================
# Target rules for targets named docs

# Build rule for target.
docs: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 docs
.PHONY : docs

# fast build rule for target.
docs/fast:
	$(MAKE) -f docs/CMakeFiles/docs.dir/build.make docs/CMakeFiles/docs.dir/build
.PHONY : docs/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... gitclean"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... rpm"
	@echo "... srpm"
	@echo "... version"
	@echo "... ibus-qt"
	@echo "... ibus-test"
	@echo "... qtim-ibus"
	@echo "... demo-engine"
	@echo "... docs"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== docs/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/docs/CMakeFiles/progress.make
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 docs/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 docs/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 docs/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 docs/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
docs/CMakeFiles/docs.dir/rule:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 docs/CMakeFiles/docs.dir/rule
.PHONY : docs/CMakeFiles/docs.dir/rule

# Convenience name for target.
docs: docs/CMakeFiles/docs.dir/rule
.PHONY : docs

# fast build rule for target.
docs/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f docs/CMakeFiles/docs.dir/build.make docs/CMakeFiles/docs.dir/build
.PHONY : docs/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... docs"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== qtim/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/qtim/CMakeFiles/progress.make
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 qtim/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 qtim/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 qtim/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 qtim/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
qtim/CMakeFiles/qtim-ibus.dir/rule:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 qtim/CMakeFiles/qtim-ibus.dir/rule
.PHONY : qtim/CMakeFiles/qtim-ibus.dir/rule

# Convenience name for target.
qtim-ibus: qtim/CMakeFiles/qtim-ibus.dir/rule
.PHONY : qtim-ibus

# fast build rule for target.
qtim-ibus/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/build
.PHONY : qtim-ibus/fast

# target to build an object file
ibus-input-context.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibus-input-context.o
.PHONY : ibus-input-context.o

# target to preprocess a source file
ibus-input-context.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibus-input-context.i
.PHONY : ibus-input-context.i

# target to generate assembly for a file
ibus-input-context.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibus-input-context.s
.PHONY : ibus-input-context.s

# target to build an object file
ibus-plugin.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibus-plugin.o
.PHONY : ibus-plugin.o

# target to preprocess a source file
ibus-plugin.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibus-plugin.i
.PHONY : ibus-plugin.i

# target to generate assembly for a file
ibus-plugin.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibus-plugin.s
.PHONY : ibus-plugin.s

# target to build an object file
ibuskeyuni.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibuskeyuni.o
.PHONY : ibuskeyuni.o

# target to preprocess a source file
ibuskeyuni.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibuskeyuni.i
.PHONY : ibuskeyuni.i

# target to generate assembly for a file
ibuskeyuni.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/ibuskeyuni.s
.PHONY : ibuskeyuni.s

# target to build an object file
moc_ibus-input-context.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/moc_ibus-input-context.o
.PHONY : moc_ibus-input-context.o

# target to preprocess a source file
moc_ibus-input-context.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/moc_ibus-input-context.i
.PHONY : moc_ibus-input-context.i

# target to generate assembly for a file
moc_ibus-input-context.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f qtim/CMakeFiles/qtim-ibus.dir/build.make qtim/CMakeFiles/qtim-ibus.dir/moc_ibus-input-context.s
.PHONY : moc_ibus-input-context.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... qtim-ibus"
	@echo "... rebuild_cache"
	@echo "... ibus-input-context.o"
	@echo "... ibus-input-context.i"
	@echo "... ibus-input-context.s"
	@echo "... ibus-plugin.o"
	@echo "... ibus-plugin.i"
	@echo "... ibus-plugin.s"
	@echo "... ibuskeyuni.o"
	@echo "... ibuskeyuni.i"
	@echo "... ibuskeyuni.s"
	@echo "... moc_ibus-input-context.o"
	@echo "... moc_ibus-input-context.i"
	@echo "... moc_ibus-input-context.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/src/CMakeFiles/progress.make
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/CMakeFiles/ibus-qt.dir/rule:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/ibus-qt.dir/rule
.PHONY : src/CMakeFiles/ibus-qt.dir/rule

# Convenience name for target.
ibus-qt: src/CMakeFiles/ibus-qt.dir/rule
.PHONY : ibus-qt

# fast build rule for target.
ibus-qt/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/build
.PHONY : ibus-qt/fast

# Convenience name for target.
src/CMakeFiles/ibus-test.dir/rule:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/ibus-test.dir/rule
.PHONY : src/CMakeFiles/ibus-test.dir/rule

# Convenience name for target.
ibus-test: src/CMakeFiles/ibus-test.dir/rule
.PHONY : ibus-test

# fast build rule for target.
ibus-test/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-test.dir/build.make src/CMakeFiles/ibus-test.dir/build
.PHONY : ibus-test/fast

# target to build an object file
ibus.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-test.dir/build.make src/CMakeFiles/ibus-test.dir/ibus.o
.PHONY : ibus.o

# target to preprocess a source file
ibus.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-test.dir/build.make src/CMakeFiles/ibus-test.dir/ibus.i
.PHONY : ibus.i

# target to generate assembly for a file
ibus.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-test.dir/build.make src/CMakeFiles/ibus-test.dir/ibus.s
.PHONY : ibus.s

# target to build an object file
moc_qibusattribute.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusattribute.o
.PHONY : moc_qibusattribute.o

# target to preprocess a source file
moc_qibusattribute.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusattribute.i
.PHONY : moc_qibusattribute.i

# target to generate assembly for a file
moc_qibusattribute.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusattribute.s
.PHONY : moc_qibusattribute.s

# target to build an object file
moc_qibusattrlist.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusattrlist.o
.PHONY : moc_qibusattrlist.o

# target to preprocess a source file
moc_qibusattrlist.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusattrlist.i
.PHONY : moc_qibusattrlist.i

# target to generate assembly for a file
moc_qibusattrlist.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusattrlist.s
.PHONY : moc_qibusattrlist.s

# target to build an object file
moc_qibusbus.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusbus.o
.PHONY : moc_qibusbus.o

# target to preprocess a source file
moc_qibusbus.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusbus.i
.PHONY : moc_qibusbus.i

# target to generate assembly for a file
moc_qibusbus.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusbus.s
.PHONY : moc_qibusbus.s

# target to build an object file
moc_qibuscomponent.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibuscomponent.o
.PHONY : moc_qibuscomponent.o

# target to preprocess a source file
moc_qibuscomponent.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibuscomponent.i
.PHONY : moc_qibuscomponent.i

# target to generate assembly for a file
moc_qibuscomponent.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibuscomponent.s
.PHONY : moc_qibuscomponent.s

# target to build an object file
moc_qibusconfig.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusconfig.o
.PHONY : moc_qibusconfig.o

# target to preprocess a source file
moc_qibusconfig.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusconfig.i
.PHONY : moc_qibusconfig.i

# target to generate assembly for a file
moc_qibusconfig.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusconfig.s
.PHONY : moc_qibusconfig.s

# target to build an object file
moc_qibusconfigadaptor.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f src/CMakeFiles/ibus-qt.dir/build.make src/CMakeFiles/ibus-qt.dir/moc_qibusconfigadaptor.o
.PHONY : moc_qibusconfigadaptor.o

# target to preprocess a source file
moc_qibusconfigadaptor.i:

=== test/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_ARMEL/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_ARMEL/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && /targets/FREMANTLE_ARMEL/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_ARMEL/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/test/CMakeFiles/progress.make
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 test/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 test/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 test/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 test/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
test/CMakeFiles/demo-engine.dir/rule:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f CMakeFiles/Makefile2 test/CMakeFiles/demo-engine.dir/rule
.PHONY : test/CMakeFiles/demo-engine.dir/rule

# Convenience name for target.
demo-engine: test/CMakeFiles/demo-engine.dir/rule
.PHONY : demo-engine

# fast build rule for target.
demo-engine/fast:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/build
.PHONY : demo-engine/fast

# target to build an object file
main.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/main.o
.PHONY : main.o

# target to preprocess a source file
main.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/main.i
.PHONY : main.i

# target to generate assembly for a file
main.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/main.s
.PHONY : main.s

# target to build an object file
moc_qibusdemoengine.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/moc_qibusdemoengine.o
.PHONY : moc_qibusdemoengine.o

# target to preprocess a source file
moc_qibusdemoengine.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/moc_qibusdemoengine.i
.PHONY : moc_qibusdemoengine.i

# target to generate assembly for a file
moc_qibusdemoengine.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/moc_qibusdemoengine.s
.PHONY : moc_qibusdemoengine.s

# target to build an object file
qibusdemoengine.o:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/qibusdemoengine.o
.PHONY : qibusdemoengine.o

# target to preprocess a source file
qibusdemoengine.i:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/qibusdemoengine.i
.PHONY : qibusdemoengine.i

# target to generate assembly for a file
qibusdemoengine.s:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(MAKE) -f test/CMakeFiles/demo-engine.dir/build.make test/CMakeFiles/demo-engine.dir/qibusdemoengine.s
.PHONY : qibusdemoengine.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... demo-engine"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... main.o"
	@echo "... main.i"
	@echo "... main.s"
	@echo "... moc_qibusdemoengine.o"
	@echo "... moc_qibusdemoengine.i"
	@echo "... moc_qibusdemoengine.s"
	@echo "... qibusdemoengine.o"
	@echo "... qibusdemoengine.i"
	@echo "... qibusdemoengine.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/kenya888/devel/kenya888s-maemocjk/ibus-qt-1.3.1-maemo && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
ibus-qt (1.3.1-1maemo2) unstable; urgency=low

  * version for autobuilder

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 26 Oct 2010 14:14:17 +0900

ibus-qt (1.3.1-1maemo1) unstable; urgency=low

  * updated to 1.3.1
  * build for PR1.3

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 26 Oct 2010 13:49:24 +0900

ibus-qt (1.3.0-3maemo1) unstable; urgency=low

  * build for PR1.3

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 26 Oct 2010 03:37:02 +0900

=== debian/control ===
Source: ibus-qt
Section: utilities
Priority: optional
Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
Build-Depends: debhelper (>= 5), pkg-config, ibus-dev (>= 1.3.7), cmake, libqt4-dev, libx11-dev, libxext-dev, libxrandr-dev, libicu-dev, libpng12-dev, libxau-dev, libxrender-dev, libice-dev, libsm-dev, libexpat1-dev, libdbus-1-dev
Standards-Version: 3.7.2

Package: ibus-qt
Section: user/utilities
Architecture: any
Depends: ibus (>= 1.3.7), libqt4-core, libqt4-xml, libqt4-dbus, libqt4-gui, libicu42, libpng12-0
Description: ibus Qt plugin

#Package: ibus-qt-doc
#Architecture: all
#Description: Documentation for ibus-qt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export CMAKE=/usr/bin/cmake

CFLAGS = -Wall -g

#export MAEMOCJK_PREFIX=/opt/maemocjk2

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=/usr

	touch configure-stamp

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	patch -p0 < $(CURDIR)/debian/fix_ibus_req.patch
	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=/usr
	$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean 

	rm -rf build

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	#ln -s $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1.3.0 $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1

	dh_install --sourcedir=$(CURDIR)/debian/tmp -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
# Build architecture independant packages using the common target.
binary-indep: 
#binary-indep: build-indep install-indep
	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
#	dh_testdir
#	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
#	dh_compress 
#	dh_fixperms
#	dh_perl
#	dh_makeshlibs
#	dh_installdeb
#	dh_shlibdeps
#	dh_gencontrol
#	dh_md5sums
#	dh_builddeb
# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	#$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	#dh_installdocs
	#dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
